/*
 * GLOBAL STYLES & LAYOUT REFERENCE
 *
 * Source: MediaLoot Blog - "How to Code a Homepage Template with HTML5 and CSS3" by Tony Thomas
 * URL: https://medialoot.com/blog/how-to-code-a-homepage-template-with-html5-and-css3/
 *
 * Notes on Adaptation:
 * The general approach for global attributes (body, headings, links) is derived from this article.
 * Specifically, styles for 'strong' and 'small' elements are being explicitly redefined due to the use of a CSS reset.
*/
body {
  margin: 0;
  padding: 0;
  background-color: #244379;
  color: #ffffff;
  font: normal 16px "Times New Roman", Times, serif;
}
p {
  line-height: 20px;
  margin-bottom: 20px;
}
h2 {
  font-family: "Crete Round", serif;
  font-weight: 300;
  font-size: 45px;
  margin-bottom: 20px;
}
h3 {
  font-family: "Crete Round", serif;
  font-size: 30px;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 20px;
}
h4 {
  font-size: 24px;
  font-weight: bold;

  margin-bottom: 20px;
}
h5 {
  font-size: 15px;
  font-weight: bold;
}
a {
  text-decoration: none;
}
strong {
  font-weight: bold;
}
small {
  font-size: 13px;
  color: #777;
  font-style: italic;
}
u {
  text-decoration: underline;
  color: rgba(251, 214, 4, 0.9);
}
.clear {
  clear: both;
}
.wrapper1 {
  margin: 0 auto;
  padding: 0 10px;
  width: 1200px;
}
#avatar {
  /* display: inline-block; */
  float: left;
  margin-left: 15rem;
  margin-right: 4rem;
  border-radius: 30px;
  height: 45px;
  width: 45px;
  border: 3px rgba(72, 116, 203, 0.8) solid;
  align-content: center;
}
header {
  position: fixed;
  background-color: rgb(248, 191, 48);
  /* #fee784; */
  width: 100%;
  height: 4rem;
  display: flex;
  align-items: center;
  z-index: 20;
}
nav li {
  display: inline-block;
}
nav {
  /* height: 4.5rem; */
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-weight: bold;
}
nav a:link,
nav a:visited {
  display: block;
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  width: 150px;
  padding: 5px 1px;
  margin: 5px;
  border-radius: 25px;
  background-color: rgba(72, 116, 203, 0.8);
  border: 2px white solid;
  align-content: center;
  text-align: center;
}
nav a:active,
nav a:hover {
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  background-color: rgb(249, 82, 177);
}

/* No.1 PC favorites: Ori */
#pc-hero-image1 {
  padding-top: 100px;
  height: 400px;
  width: 100%;
  background: url("../images/PCgames/ori/1_6WwYMFwZAqIxFxrfT18-nA.jpg")
    no-repeat center;
  background-size: cover;
  margin-bottom: 50px;
}

#pc-intro-1 {
  padding-left: 10px;
}

#pc-container1 {
  /* 
  CSS Grid Container
  Source:https://www.w3schools.com/css/css_grid_container.asp#gsc.tab=0 */
  display: grid;
  grid-template-columns: 60% 40%;
}
#pc-container1 h4,
#pc-container1 p {
  padding-top: 5px;
  font-family: Georgia, "Times New Roman", Times, serif;
}
.base-info {
  display: grid;
  grid-template-columns: 160px auto;
}
.info-1 {
  font-weight: 700;
}
#pc-tag-1 > span {
  border: 1px white solid;
  border-radius: 5px;
  padding: 4px;
  color: white;
  background-color: rgba(19, 183, 148, 0.7);
  box-shadow: 1px 1px 5px rgb(38, 212, 157);
}
#pc-tag-1 > span:hover {
  background-color: rgba(119, 245, 218, 0.7);
  box-shadow: 1px 1px 5px rgb(38, 212, 157);
}
#pc-gallery1 {
  margin: 40px 0 80px 0;
  width: inherit;
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 20px;
}
#pc-gallery1 img {
  height: 220px;
  box-shadow: 2px 2px 5px rgb(37, 44, 144);
  align-content: space-evenly;
}

/* No.2 To the moon */
#pc-hero-image2 {
  padding-top: 100px;
  height: 450px;
  width: 100%;
  background: url("../images/PCgames/tothemoon/ttm-video.png") no-repeat center;
  background-size: cover;
  margin: 50px 0;
}

#pc-container2 {
  /* 
  CSS Grid Container
  Source:https://www.w3schools.com/css/css_grid_container.asp#gsc.tab=0 */
  display: grid;
  grid-template-columns: 65% auto;
}
#pc-intro-2 > h4 img {
  height: 20px;
}
#pc-intro-2 > p,
#pc-intro-2 span {
  font-size: 15px;
}
#pc-tag-2 > span {
  border: 1px white solid;
  border-radius: 5px;
  padding: 4px;
  color: white;
  background-color: rgba(0, 217, 255, 0.7);
  box-shadow: 1px 1px 5px rgb(88, 193, 245);
}
#pc-tag-2 > span:hover {
  background-color: rgba(47, 139, 185, 0.7);
  box-shadow: 1px 1px 5px rgb(88, 193, 245);
}
#pc-gallery2 {
  margin: 40px auto;
  max-width: 1200px;
  display: grid;
  grid-template-columns: 3fr 1fr;
  align-content: center;
  gap: 30px;
}
#pc-gallery2-left-grid {
  display: grid;
  grid-template-columns: auto auto;
  height: 650px;
  align-content: space-between;
  justify-content: space-between;
}
#pc-gallery2-left-grid > img {
  height: 200px;
  box-shadow: 2px 2px 5px rgb(37, 44, 144);
}
#pc-gallery2 > img {
  /* width: 430px */
  height: 650px;
  box-shadow: 2px 2px 5px rgb(37, 44, 144);
}

/* No.3 Overwatch */
#pc-hero-image3 {
  padding-top: 100px;
  height: 600px;
  width: 100%;
  background: url("../images/PCgames/overwatch/OW_heroes.jpg") no-repeat center;
  background-size: cover;
  margin: 50px auto;
}
#pc-title3 span {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 20px;
}
#pc-title3 img {
  height: 30px;
  margin-left: 15px;
}
#pc-title3 {
  display: flex;
  justify-content: start;
}
#pc-container3 {
  display: grid;
  grid-template-columns: 60% auto;
}
#pc-tag-3 > span {
  border: 1px white solid;
  border-radius: 5px;
  padding: 4px;
  color: white;
  background-color: rgba(243, 108, 5, 0.7);
  box-shadow: 1px 1px 5px rgb(198, 177, 34);
}
#pc-tag-3 > span:hover {
  background-color: rgba(246, 171, 58, 0.7);
  box-shadow: 1px 1px 5px rgb(198, 177, 34);
}
#pc-gallery3 {
  margin: 40px 0 80px 0;
  width: inherit;
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 15px;
}
#pc-gallery3 img {
  height: 220px;
  width: 380px;
  box-shadow: 2px 2px 5px rgb(37, 44, 144);
  align-content: space-evenly;
}
#pc-gallery3 img:nth-child(8) {
  /* 
  CSS object-fit Property
  URL:https://www.w3schools.com/css/css3_object-fit.asp */
  object-fit: cover;
  object-position: 50% 40%;
}
#pc-gallery3 img:nth-child(9) {
  /* 
  CSS object-fit Property
  URL:https://www.w3schools.com/css/css3_object-fit.asp */
  object-fit: cover;
  object-position: 50% 0%;
}
iframe {
  border: none;
}

/* Footer */
footer {
  background-color: rgba(151, 131, 166);
  width: 100%;
  overflow: hidden;
}
footer div {
  margin-right: 2rem;
  padding: 20px 20px;
}
#footer-info {
  padding: 20px 20px;
  float: left;
}
#footer-info p {
  color: white;
}

#footer-links {
  float: right;
  width: 300px;
}
#footer-links li {
  padding-top: 5px;
  display: inline-block;
}
#footer-links h5 {
  color: white;
  margin-bottom: 5px;
}

.contact-button img {
  padding-right: 20px;
  width: 40px;
  height: 40px;
}
